[v7,5/7] devtools: fix the missing ninja command error on CentOS

Message ID 20180615070811.18686-6-gavin.hu@arm.com (mailing list archive)
State Superseded, archived
Delegated to: Thomas Monjalon
Headers
Series fix the cross compiling errors |

Checks

Context Check Description
ci/checkpatch success coding style OK
ci/Intel-compilation success Compilation OK

Commit Message

Gavin Hu June 15, 2018, 7:08 a.m. UTC
  On CentOS, the ninja executable has a different name:
ninja-build, this patch is to fix the missing command error
on CentOS as follows:
./devtools/test-meson-builds.sh: line 24: ninja: command not found

Fixes: a55277a788 ("devtools: add test script for meson builds")
Cc: stable@dpdk.org

Signed-off-by: Gavin Hu <gavin.hu@arm.com>
Reviewed-by: Phil Yang <phil.yang@arm.com>
Reviewed-by: Song Zhu <song.zhu@arm.com>
---
 devtools/test-meson-builds.sh | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)
  

Patch

diff --git a/devtools/test-meson-builds.sh b/devtools/test-meson-builds.sh
index 6bce3df7f..15a282978 100755
--- a/devtools/test-meson-builds.sh
+++ b/devtools/test-meson-builds.sh
@@ -11,6 +11,15 @@ 
 srcdir=$(dirname $(readlink -m $0))/..
 MESON=${MESON:-meson}
 
+if command -v ninja >/dev/null 2>&1 ; then
+    ninja_cmd=ninja
+elif command -v ninja-build >/dev/null 2>&1 ; then
+    ninja_cmd=ninja-build
+else
+    echo "## ERROR: ninja is missing, please install..."
+    exit 1
+fi
+
 build () # <directory> <meson options>
 {
 	builddir=$1
@@ -21,7 +30,7 @@  build () # <directory> <meson options>
 		$MESON $options $srcdir $builddir
 	fi
 	echo "ninja -C $builddir"
-	ninja -C $builddir
+    $ninja_cmd -C $builddir
 }
 
 # shared and static linked builds with gcc and clang